### Constructor

# Gsk ColorNode new

#### Declaration [src]

    GskRenderNode*
    gsk_color_node_new (
      const GdkRGBA* rgba,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a `GskRenderNode` that will render the color specified by `rgba` into the area given by `bounds`.

#### Parameters

`rgba` | `const GdkRGBA*`
| A `GdkRGBA` specifying a color.
| The data is owned by the caller of the function.
`bounds` | `const graphene_rect_t*`
| The rectangle to render the color into.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GskColorNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.